<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [showNotificationsButton](./foundation-header.navigation.shownotificationsbutton.md)

## Navigation.showNotificationsButton property

Boolean attribute which controls whether to show the notification (bell) icon on the navigation bar Control via `show-notification-button`

**Signature:**

```typescript
showNotificationsButton: boolean;
```

## Remarks

If the user clicks the icon when shown then this class will emit the 'notification-icon-clicked' event

